# Gimp.FileProcedure.set_mime_types

    @accepts(Gimp.FileProcedure, unicode)
    @returns(none)
    def set_mime_types(self, mime_types):
        # Python wrapper for gimp_file_procedure_set_mime_types()

Associates MIME types with a file handler procedure.

Registers MIME types for a file handler procedure. This allows GIMP to determine the MIME type of the file opened or saved using this procedure. It is recommended that only one MIME type is registered per file procedure; when registering more than one MIME type, GIMP will associate the first one with files opened or saved with this procedure.

Since 3.0

self

  A file procedure object.

mime_types

  A comma-separated list of MIME types, such as "image/jpeg".